[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# UtsName

Record used to return kernel information in fpUName function.

## Declaration

Source position: ostypes.inc line 60

`type UtsName = record`
`Sysname: array [0..UTSNAME_LENGTH-1] of Char;` |  | System name
`Nodename: array [0..UTSNAME_NODENAME_LENGTH-1] of Char;` |  | Computer name
`Release: array [0..UTSNAME_LENGTH-1] of Char;` |  | Release number
`Version: array [0..UTSNAME_LENGTH-1] of Char;` |  | Version number
`Machine: array [0..UTSNAME_LENGTH-1] of Char;` |  | Machine type
`Domain: array [0..UTSNAME_DOMAIN_LENGTH-1] of Char;` |  | Domain name
`end;`

## Description

The elements of this record are null-terminated C style strings, you cannot access them directly. Note that the Domain field is a GNU extension, and may not be available on all platforms.

Documentation generated on: Feb 26 2014